Summary:	MATE Settings Daemon
Name:		mate-settings-daemon
Version:	1.19.0
Release:	%mkrel 3
License:	GPLv2+
Group:		Graphical desktop/Mate
URL:		http://mate-desktop.org
Source0:	http://pub.mate-desktop.org/releases/1.8/%{name}-%{version}.tar.xz
Source1:	org.mate.settingsdaemon.datetimemechanism.policy
#-------------------------------------------------------
BuildRequires: intltool
BuildRequires: ldetect-lst
BuildRequires: mate-common
BuildRequires: mate-desktop-devel
BuildRequires: %{_lib}atk1.0-devel
BuildRequires: %{_lib}cairo-devel
BuildRequires: %{_lib}dbus-1-devel
BuildRequires: %{_lib}dbus-glib-1_2-devel
BuildRequires: %{_lib}dconf-devel
BuildRequires: %{_lib}fontconfig-devel
BuildRequires: %{_lib}gdk_pixbuf2.0_0-devel
BuildRequires: %{_lib}glib2.0_0-devel
BuildRequires: %{_lib}gtk+3.0-devel
BuildRequires: %{_lib}matekbd-devel
BuildRequires: %{_lib}notify-devel
BuildRequires: %{_lib}nspr-devel
BuildRequires: %{_lib}nss-devel
BuildRequires: %{_lib}pango1.0-devel
BuildRequires: %{_lib}polkit1-devel
BuildRequires: %{_lib}x11-devel
BuildRequires: %{_lib}xi-devel
BuildRequires: %{_lib}xklavier-devel
BuildRequires: %{_lib}xml2-devel
#-------------------------------------------------------


%description
MATE settings daemon manages the configuration of the desktop in the
background.

%package devel
Summary:	Include files for the MATE settings daemon
Group:		Development/Libraries
Requires:	%{name} = %{version}
Provides:	%{name}-devel = %{version}-%release

%description devel
Include files for the MATE settings daemon

%prep
%setup -q 
%apply_patches

%build
#NOCONFIGURE=yes ./autogen.sh
%configure2_5x \
   --enable-pulse                      \
   --disable-static                    \
   --disable-schemas-compile           \
   --enable-polkit                     \
   --with-x                            \
   --with-nssdb                        \
   --libexecdir=%{_libexecdir}/mate-settings-daemon

%make

%install
rm -rf %{buildroot}
%makeinstall_std

# Allow user to change time
install -m 0644 %SOURCE1 %{buildroot}/%{_datadir}/polkit-1/actions/org.mate.settingsdaemon.datetimemechanism.policy

find %{buildroot} -name '*.la' -exec rm -f {} ';'

%find_lang %{name} --with-gnome --all-name


%post
/usr/bin/glib-compile-schemas /usr/share/glib-2.0/schemas

%postun
/usr/bin/glib-compile-schemas /usr/share/glib-2.0/schemas

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING README
%config %{_sysconfdir}/dbus-1/system.d/org.mate.SettingsDaemon.DateTimeMechanism.conf
%config %{_sysconfdir}/xdg/autostart/mate-settings-daemon.desktop
%{_datadir}/dbus-1/services/org.mate.SettingsDaemon.service
%{_datadir}/dbus-1/system-services/org.mate.SettingsDaemon.DateTimeMechanism.service
%{_datadir}/icons/mate/*/*/*
%{_datadir}/mate-settings-daemon
%{_datadir}/glib-2.0/schemas/org.mate.*.xml
%{_datadir}/polkit-1/actions/org.mate.settingsdaemon.datetimemechanism.policy
%{_datadir}/mate-control-center/keybindings/50-accessibility.xml
%{_datadir}/man/man1/mate-settings-daemon.1.bz2
%{_sysconfdir}/xrdb/*
%{_mandir}
%{_datadir}/icons/hicolor
%{_libexecdir}/mate-settings-daemon/mate-settings-daemon
%{_libexecdir}/mate-settings-daemon/msd-datetime-mechanism
%{_libexecdir}/mate-settings-daemon/msd-locate-pointer
%{_libdir}/mate-settings-daemon/a11y-keyboard.mate-settings-plugin
%{_libdir}/mate-settings-daemon/a11y-settings.mate-settings-plugin
%{_libdir}/mate-settings-daemon/background.mate-settings-plugin
%{_libdir}/mate-settings-daemon/clipboard.mate-settings-plugin
%{_libdir}/mate-settings-daemon/housekeeping.mate-settings-plugin
%{_libdir}/mate-settings-daemon/keybindings.mate-settings-plugin
%{_libdir}/mate-settings-daemon/keyboard.mate-settings-plugin
%{_libdir}/mate-settings-daemon/liba11y-keyboard.so
%{_libdir}/mate-settings-daemon/liba11y-settings.so
%{_libdir}/mate-settings-daemon/libbackground.so
%{_libdir}/mate-settings-daemon/libclipboard.so
%{_libdir}/mate-settings-daemon/libhousekeeping.so
%{_libdir}/mate-settings-daemon/libkeybindings.so
%{_libdir}/mate-settings-daemon/libkeyboard.so
%{_libdir}/mate-settings-daemon/libmedia-keys.so
%{_libdir}/mate-settings-daemon/libmouse.so
%{_libdir}/mate-settings-daemon/libmpris.so
%{_libdir}/mate-settings-daemon/libsmartcard.so
%{_libdir}/mate-settings-daemon/libsound.so
%{_libdir}/mate-settings-daemon/libtyping-break.so
%{_libdir}/mate-settings-daemon/libxrandr.so
%{_libdir}/mate-settings-daemon/libxrdb.so
%{_libdir}/mate-settings-daemon/libxsettings.so
%{_libdir}/mate-settings-daemon/media-keys.mate-settings-plugin
%{_libdir}/mate-settings-daemon/mouse.mate-settings-plugin
%{_libdir}/mate-settings-daemon/mpris.mate-settings-plugin
%{_libdir}/mate-settings-daemon/smartcard.mate-settings-plugin
%{_libdir}/mate-settings-daemon/sound.mate-settings-plugin
%{_libdir}/mate-settings-daemon/typing-break.mate-settings-plugin
%{_libdir}/mate-settings-daemon/xrandr.mate-settings-plugin
%{_libdir}/mate-settings-daemon/xrdb.mate-settings-plugin
%{_libdir}/mate-settings-daemon/xsettings.mate-settings-plugin


%files devel
%defattr(-,root,root,-)
%{_libdir}/pkgconfig/mate-settings-daemon.pc
%dir %{_includedir}/mate-settings-daemon
%{_includedir}/mate-settings-daemon/*

%clean
rm -rf %{buildroot}


%changelog
* Mon Aug 21 2017 threepio <threepio> 1.19.0-3uplos2017
- Added GlobalMenu support f4758b6 < https://github.com/mate-desktop/mate-settings-daemon >

* Fri Aug 18 2017 threepio <threepio> 1.19.0-2uplos2017
- new version

* Fri May 12 2017 adrianomorselli <adrianomorselli> 1.18.1-2uplos2017
- update
- adjust build options
